.default-fade {
    opacity: 0;
    transition-property: opacity;
}

.default-slide {
    opacity: 0;
    transition-property: transform, opacity;
    transform: translateY(min(40px, 100%));
}

/* Only set a duration when body has .loaded class to prevent initial fading in and directly back out */
.loaded .default-slide,
.loaded .default-fade {
    transition-duration: 0.75s;
}

.loaded .default-fade.in-view {
    opacity: 1;
}

.loaded .default-slide.in-view {
    opacity: 1;
    transform: translateY(0);
}